Winevt.EVT_VARIANT.ByValue (JNA API)

com.sun.jna.platform.win32

## Class Winevt.EVT_VARIANT.ByValue

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winevt.EVT_VARIANT
    - - com.sun.jna.platform.win32.Winevt.EVT_VARIANT.ByValue

- All Implemented Interfaces:
    Structure.ByValue
  Enclosing class:
    Winevt.EVT_VARIANT

      public static class Winevt.EVT_VARIANT.ByValue
      extends Winevt.EVT_VARIANT
      implements Structure.ByValue

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Winevt.EVT_VARIANT

      `Winevt.EVT_VARIANT.ByReference, Winevt.EVT_VARIANT.ByValue, Winevt.EVT_VARIANT.field1_union`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.Winevt.EVT_VARIANT

      `Count, field1, Type`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByValue()`
    `ByValue(Pointer p)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.Winevt.EVT_VARIANT

      `getValue, getVariantType, isArray, setValue, use`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByValue

          public ByValue(Pointer p)

    - #### ByValue

          public ByValue()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.